function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { forwardRef } from 'react';
import PropTypes from 'prop-types';
import ReactEchartsCore from 'echarts-for-react/lib/core';
import echarts from 'echarts/lib/echarts';
import 'echarts/lib/chart/line';
import 'echarts/lib/chart/lines';
import 'echarts/lib/component/legend';
import 'echarts/lib/component/legendScroll';
import 'echarts/lib/component/tooltip';
import 'echarts/lib/component/title';
import 'echarts/lib/component/markPoint';
import 'echarts/lib/component/markLine';
import 'echarts/lib/component/markArea';
import 'echarts/lib/component/dataZoom';
import { titleTextStyle, lbLegend, lbGrid, lbXAxis, lbYAxis, dataZoom, labelStyle } from '../itemDefaultConfig';
import { formatNumber } from 'ROOT/util/formValidatorRegex';
var AreaChart = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var _ref$config = _ref.config,
      title = _ref$config.title,
      legend = _ref$config.legend,
      toolbox = _ref$config.toolbox,
      grid = _ref$config.grid,
      xAxis = _ref$config.xAxis,
      yAxis = _ref$config.yAxis,
      series = _ref$config.series,
      otherConfig = _objectWithoutProperties(_ref$config, ["title", "legend", "toolbox", "grid", "xAxis", "yAxis", "series"]),
      showTitle = _ref.showTitle,
      showLabel = _ref.showLabel,
      rotate = _ref.rotate,
      interval = _ref.interval,
      rest = _objectWithoutProperties(_ref, ["config", "showTitle", "showLabel", "rotate", "interval"]);

  console.log('rotate', rotate);

  var option = _objectSpread({
    title: _objectSpread(_objectSpread({}, titleTextStyle), {}, {
      show: showTitle
    }, title),
    tooltip: {
      trigger: 'axis'
    },
    legend: _objectSpread(_objectSpread({
      top: showTitle ? 27 : 'top'
    }, lbLegend), legend),
    toolbox: _objectSpread({}, toolbox),
    grid: _objectSpread(_objectSpread({
      top: showTitle ? 66 : 36
    }, lbGrid), {}, {
      right: '6%'
    }, grid),
    xAxis: _objectSpread(_objectSpread({
      axisLabel: {
        interval: interval ? 'auto' : 0,
        rotate: rotate || 0
      }
    }, lbXAxis), xAxis),
    yAxis: (yAxis || []).map(function (item) {
      return _objectSpread(_objectSpread({}, lbYAxis), item);
    }),
    series: series || []
  }, otherConfig);

  var targetArr = [];
  option.series.forEach(function (item) {
    if (showLabel || item.show) {
      item.label = _objectSpread(_objectSpread({}, labelStyle), {}, {
        formatter: function formatter(_ref2) {
          var value = _ref2.value;
          // 千分位分隔符
          return "".concat(formatNumber(value));
        }
      }, item.label);
    } // item.symbol = 'none' // 此处配置 不显示点


    targetArr = targetArr.concat(item.data);
  });

  if (xAxis.data.length > 25) {
    option.dataZoom = dataZoom;
  } else {
    option.dataZoom = [];
  }

  if (!targetArr.length) {
    // 数据为空时展示
    option.yAxis.max = 5000000;
    option.yAxis.min = 0;
  } else {
    option.yAxis.max = null;
    option.yAxis.min = null;
  }

  return /*#__PURE__*/React.createElement(ReactEchartsCore, _extends({
    echarts: echarts,
    notMerge: true,
    option: option,
    ref: ref
  }, rest));
});
AreaChart.propTypes = {
  theme: PropTypes.oneOfType([PropTypes.string, PropTypes.object]),
  interval: PropTypes.bool,
  showTitle: PropTypes.bool,
  showLabel: PropTypes.bool,
  style: PropTypes.object,
  className: PropTypes.string,
  config: PropTypes.object,
  rotate: PropTypes.number
};
AreaChart.defaultProps = {
  style: {},
  classname: '',
  theme: 'macarons',
  rotate: 0,
  showTitle: false,
  interval: false,
  showLabel: false,
  config: {
    title: {},
    legend: {},
    toolbox: {},
    grid: {},
    xAxis: {
      data: ['周一', '周二', '周三', '周四', '周五', '周六', '周日']
    },
    yAxis: [_objectSpread({}, lbYAxis)],
    series: [{
      name: '成交',
      type: 'line',
      areaStyle: {},
      data: [10, 12, 21, 54, 260, 830, 710]
    }, {
      name: '预购',
      type: 'line',
      areaStyle: {},
      data: [30, 182, 434, 791, 390, 30, 10]
    }, {
      name: '意向',
      areaStyle: {},
      type: 'line',
      data: [1320, 1132, 601, 234, 120, 90, 20]
    }]
  }
};
export default AreaChart;