"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = _interopRequireDefault(require("echarts-for-react/lib/core"));

var _echarts = _interopRequireDefault(require("echarts/lib/echarts"));

require("echarts/lib/chart/line");

require("echarts/lib/chart/lines");

require("echarts/lib/component/legend");

require("echarts/lib/component/legendScroll");

require("echarts/lib/component/tooltip");

require("echarts/lib/component/title");

require("echarts/lib/component/markPoint");

require("echarts/lib/component/markLine");

require("echarts/lib/component/markArea");

require("echarts/lib/component/dataZoom");

var _itemDefaultConfig = require("../itemDefaultConfig");

var _formValidatorRegex = require("ROOT/util/formValidatorRegex");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var AreaChart = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, ref) {
  var _ref$config = _ref.config,
      title = _ref$config.title,
      legend = _ref$config.legend,
      toolbox = _ref$config.toolbox,
      grid = _ref$config.grid,
      xAxis = _ref$config.xAxis,
      yAxis = _ref$config.yAxis,
      series = _ref$config.series,
      otherConfig = _objectWithoutProperties(_ref$config, ["title", "legend", "toolbox", "grid", "xAxis", "yAxis", "series"]),
      showTitle = _ref.showTitle,
      showLabel = _ref.showLabel,
      rotate = _ref.rotate,
      interval = _ref.interval,
      rest = _objectWithoutProperties(_ref, ["config", "showTitle", "showLabel", "rotate", "interval"]);

  console.log('rotate', rotate);

  var option = _objectSpread({
    title: _objectSpread(_objectSpread({}, _itemDefaultConfig.titleTextStyle), {}, {
      show: showTitle
    }, title),
    tooltip: {
      trigger: 'axis'
    },
    legend: _objectSpread(_objectSpread({
      top: showTitle ? 27 : 'top'
    }, _itemDefaultConfig.lbLegend), legend),
    toolbox: _objectSpread({}, toolbox),
    grid: _objectSpread(_objectSpread({
      top: showTitle ? 66 : 36
    }, _itemDefaultConfig.lbGrid), {}, {
      right: '6%'
    }, grid),
    xAxis: _objectSpread(_objectSpread({
      axisLabel: {
        interval: interval ? 'auto' : 0,
        rotate: rotate || 0
      }
    }, _itemDefaultConfig.lbXAxis), xAxis),
    yAxis: (yAxis || []).map(function (item) {
      return _objectSpread(_objectSpread({}, _itemDefaultConfig.lbYAxis), item);
    }),
    series: series || []
  }, otherConfig);

  var targetArr = [];
  option.series.forEach(function (item) {
    if (showLabel || item.show) {
      item.label = _objectSpread(_objectSpread({}, _itemDefaultConfig.labelStyle), {}, {
        formatter: function formatter(_ref2) {
          var value = _ref2.value;
          // 千分位分隔符
          return "".concat((0, _formValidatorRegex.formatNumber)(value));
        }
      }, item.label);
    } // item.symbol = 'none' // 此处配置 不显示点


    targetArr = targetArr.concat(item.data);
  });

  if (xAxis.data.length > 25) {
    option.dataZoom = _itemDefaultConfig.dataZoom;
  } else {
    option.dataZoom = [];
  }

  if (!targetArr.length) {
    // 数据为空时展示
    option.yAxis.max = 5000000;
    option.yAxis.min = 0;
  } else {
    option.yAxis.max = null;
    option.yAxis.min = null;
  }

  return /*#__PURE__*/_react["default"].createElement(_core["default"], _extends({
    echarts: _echarts["default"],
    notMerge: true,
    option: option,
    ref: ref
  }, rest));
});
AreaChart.propTypes = {
  theme: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].object]),
  interval: _propTypes["default"].bool,
  showTitle: _propTypes["default"].bool,
  showLabel: _propTypes["default"].bool,
  style: _propTypes["default"].object,
  className: _propTypes["default"].string,
  config: _propTypes["default"].object,
  rotate: _propTypes["default"].number
};
AreaChart.defaultProps = {
  style: {},
  classname: '',
  theme: 'macarons',
  rotate: 0,
  showTitle: false,
  interval: false,
  showLabel: false,
  config: {
    title: {},
    legend: {},
    toolbox: {},
    grid: {},
    xAxis: {
      data: ['周一', '周二', '周三', '周四', '周五', '周六', '周日']
    },
    yAxis: [_objectSpread({}, _itemDefaultConfig.lbYAxis)],
    series: [{
      name: '成交',
      type: 'line',
      areaStyle: {},
      data: [10, 12, 21, 54, 260, 830, 710]
    }, {
      name: '预购',
      type: 'line',
      areaStyle: {},
      data: [30, 182, 434, 791, 390, 30, 10]
    }, {
      name: '意向',
      areaStyle: {},
      type: 'line',
      data: [1320, 1132, 601, 234, 120, 90, 20]
    }]
  }
};
var _default = AreaChart;
exports["default"] = _default;