"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pieSeriesConfig = exports.labelStyle = exports.dataZoom = exports.lbYAxis = exports.lbXAxis = exports.lbGrid = exports.lbLegend = exports.titleTextStyle = void 0;
//title样式
var titleTextStyle = {
  fontSize: 16,
  fontWeight: 500,
  color: 'rgba(0, 0, 0, 0.85)'
}; // 图例

exports.titleTextStyle = titleTextStyle;
var lbLegend = {
  top: 'top',
  left: 4,
  type: 'scroll',
  icon: 'roundRect',
  padding: 0,
  itemHeight: 2,
  itemWidth: 12
}; // grid

exports.lbLegend = lbLegend;
var lbGrid = {
  top: 36,
  left: 0,
  right: 10,
  bottom: 10,
  containLabel: true
}; // x轴

exports.lbGrid = lbGrid;
var lbXAxis = {
  type: 'category',
  axisLine: {
    lineStyle: {
      color: '#ccd6eb'
    }
  },
  boundaryGap: true
}; // y轴

exports.lbXAxis = lbXAxis;
var lbYAxis = {
  type: 'value',
  minInterval: 1,
  axisLine: {
    show: false
  },
  splitLine: {
    show: true,
    lineStyle: {
      type: 'dashed'
    }
  },
  axisTick: {
    show: false
  }
}; // 滚动条

exports.lbYAxis = lbYAxis;
var dataZoom = [{
  // 添加X轴滚动条
  realtime: true,
  show: true,
  start: 0,
  end: 60,
  height: 16
}, {
  type: 'inside',
  realtime: true,
  start: 0,
  end: 60
}]; // 节点处出现数据

exports.dataZoom = dataZoom;
var labelStyle = {
  show: true,
  position: 'top',
  textStyle: {
    color: '#000'
  }
};
exports.labelStyle = labelStyle;
var pieSeriesConfig = {
  type: 'pie',
  radius: ['35%', '50%'],
  selectedMode: 'single',
  label: {
    formatter: '{b} \n {per|{d}}{per|%}',
    padding: [0, 0],
    textStyle: {
      rich: {
        per: {
          lineHeight: 22
        }
      }
    }
  }
};
exports.pieSeriesConfig = pieSeriesConfig;